Bug 156043

Summary: [JSC][x86] Add the 3 operands forms of floating point addition and multiplication
Product: WebKit Reporter: Benjamin Poulain <benjamin>
Component: New BugsAssignee: Benjamin Poulain <benjamin>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, fpizlo, ggaren, keith_miller, mark.lam, msaboff, sbarati
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch for landing none

Description Benjamin Poulain 2016-03-30 15:44:25 PDT
[JSC][x86] Add the 3 operands forms of floating point addition and multiplication
Comment 1 Benjamin Poulain 2016-03-30 16:02:20 PDT
Created attachment 275232 [details]
Patch
Comment 2 Geoffrey Garen 2016-03-30 17:08:48 PDT
Comment on attachment 275232 [details]
Patch

r=me
Comment 3 Benjamin Poulain 2016-03-30 17:58:09 PDT
Created attachment 275246 [details]
Patch for landing
Comment 4 WebKit Commit Bot 2016-03-30 19:05:11 PDT
Comment on attachment 275246 [details]
Patch for landing

Clearing flags on attachment: 275246

Committed r198873: <http://trac.webkit.org/changeset/198873>
Comment 5 WebKit Commit Bot 2016-03-30 19:05:15 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Mark Lam 2016-03-31 09:13:26 PDT
There was an infinite recursion bug in r198873 which was fixed in r198894: <http://trac.webkit.org/r198894>.
Comment 7 Filip Pizlo 2016-04-18 14:58:30 PDT
This is 10x regression on some hardware.